Internal error: get_many:2338 (GSA 7.0.2)

gvm-9
outdated_components

#1

New deployment and noticed after kicking off the first scan when we go back to list tasks in the UI we get the below error. A few people point to an issue in the task name (not sure if that is the issue I am having) but when I try to delete the tasks (or even show the tasks) via CLI based on the -help info, it errors the commands are invalid.

Anyone have the commands handy that they know work to show tasks?

Internal error: get_many:2338 (GSA 7.0.2)

An internal error occurred while getting resources list. The current list of resources is not available. Diagnostics: Failure to receive response from manager daemon.


#2

Found the issue was that there was an ‘&’ in a name of targets.

Perhaps worth adding a UI check for unsupported characters when creating items?


#3

As it seems you’re using an own deployment / installation and not the Greenbone Community Edition (GCE) virtual appliance i have moved this topic to the correct category.

This version is more then two years old, have you considered to update to the more recent version 7.0.3 of the GSA (and all other components as well) to see if this isn’t showing up there?


#4

I didn’t realize the repo version was so old. Is there something that shows the upgrade that doesnt require building? Sorry, not super strong w/ linux.


#5

I guess you are using OpenVAS/GVM on Ubuntu 18.04. There is an external package repository with more up to date packages available. Please be aware all packages provided for Linux distributions are not maintained nor supported by Greenbone directly.